com.streambase.sb.operator.parameter

## Enum UIHints.TextWidthHint

- java.lang.Object
- - java.lang.Enum<UIHints.TextWidthHint>
  - - com.streambase.sb.operator.parameter.UIHints.TextWidthHint

- All Implemented Interfaces:
    Serializable, Comparable<UIHints.TextWidthHint>
  Enclosing class:
    UIHints

      public static enum UIHints.TextWidthHint
      extends Enum<UIHints.TextWidthHint>

  Used to request a particular width for text-field like controls (including but not limited to text fields and combo/drop-downs).
  Since:
    7.5.1

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LONG` A width longer than the default
    `MEDIUM` A width that is also the default width when unspecified
    `SHORT` A width shorter than the default
    `VERY_LONG` A width quite longer than `UIHints.TextWidthHint.LONG`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UIHints.TextWidthHint` | `getDefault()` Encodes the default text width hint when unspecified otherwise.
    `abstract int` | `getWidth()` Returns the width for this hint.
    `static UIHints.TextWidthHint` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UIHints.TextWidthHint[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SHORT

          public static final UIHints.TextWidthHint SHORT

      A width shorter than the default

    - #### MEDIUM

          public static final UIHints.TextWidthHint MEDIUM

      A width that is also the default width when unspecified

    - #### LONG

          public static final UIHints.TextWidthHint LONG

      A width longer than the default

    - #### VERY_LONG

          public static final UIHints.TextWidthHint VERY_LONG

      A width quite longer than `UIHints.TextWidthHint.LONG`

  - ### Method Detail

    - #### values

          public static UIHints.TextWidthHint[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UIHints.TextWidthHint c : UIHints.TextWidthHint.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UIHints.TextWidthHint valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getWidth

          public abstract int getWidth()

      Returns the width for this hint. Note that the actual value is not API, and should not be assumed nor used by clients.
      Returns:
        the width this represents

    - #### getDefault

          public static final UIHints.TextWidthHint getDefault()

      Encodes the default text width hint when unspecified otherwise. The default is the value of `UIHints.TextWidthHint.MEDIUM`.
      Returns:
        the default width

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.